#==========================================================
# 	       fichier de DESCRIPTION minishall.d
#
#       RESPECTER L'ORDRE DE DECLARATION DES DIRECTIVES
#==========================================================
#DEFVAL pour definir des trucs ----------------------DEFVAL
defval SZX  100
defval SZY  100
#
defval SZUi   0
defval SZTi   1
defval SZAi   1
#
defval SZUm    0
defval SZTm  100
defval SZAm  100

#NAME ---------------------------------------------HAT_NAME
hat_name minishall

#OPTION ---------------------------------------------OPTION
option  O_GRADTEST
option  O_M1QN3
#option O_REAL float
option  O_VARINCR

#TRAJECTOIRES ------(en secondes)----------------------TRAJ
#traj  nom  type upt  offt dt stept
traj  Toeti  M   SZUi         SZTi			 | ex Outer ET Init
traj  Tmini  M   SZUm  1   1  SZTm

#ESPACES ---------------------------------------------SPACE
#space  nom  type  SZX SZY  Traj
space  Souter  M   1        Toeti
space  Sinit   M   SZX SZY  Toeti
space  Smini   M   SZX SZY  Tmini

#MODULES -------------------------------------------MODULES
modul  nuZ   space Souter noward  output 1 target
modul  initZ space Sinit  input 0 output 1
modul  equaZ space Smini input 2 output 1 tempo cout

#CONNECTIONS ----------------------------------------CTIN-M
ctin equaZ  1  from nuZ 1 1
ctin equaZ  2  from initZ 1  i  j
exec disp_ct_in

#ORDER -----------------------------------------------ORDER
order modinspace Sinit
      order YA1 YA2 initZ forder
forder
#
order modinspace Smini
      order YA1 YA2 equaZ forder
forder
#-----
order spaceintraj Toeti
      Sinit
forder
#
order spaceintraj Tmini
      Smini
forder

#USER FUNCTIONS ---------------------------------------UFCT
insert_fct     xdisplay
insert_fct arg xset_ray

#FIN ================================================== END
