function [M] = y2dsurf (fdata, szx, szy, oaxis, dskip, opt)
%fdata sous forme vectorielle
%fdata='fhautji'  %'bidji'
%szx='50'         %
%szy='100'        %
%oaxis='ji'	  %
%dskip='1'	  % entier qui doit etre > 0 et < ?
%opt='0'	  :
   %"une seule figure" :
   %'0' => affichage "brut"
   %'1' => affichage "enjoliv mais moins prcis"
   %'4' => affichage "en mmoire d'avant"
   % "t figures" :
   %'2' => affichage "brut"
   %'3' => affichage "enjoliv mais moins prcis"
%---------------------------------------------------------%
%exemple d'utilisation :
%  -	[M] = y2dSurf('fhautij', '50', '100', 'ij', '1', '1');
%       ce qui permet de faire apres : movie(M)
%
%  -    y2dsurf fhautij 100 100 ij 2 0;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%       matlab proc to animate 2D variable space
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%--------- parametres d'affichage :
reset(gcf);
if (opt=='1' | opt=='3')
%?	figure
	set(gcf,'Color',[0 0 0]); %sur fond noir
end

set(gca,'Position',[0 0 1 1])

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%--------- positionnement de variables
eval(['SZX = str2num(szx);']);	 % taille de l'axe des X
eval(['SZY = str2num(szy);']);	 % taille de l'axe des Y
SZSPACE = SZX*SZY;	 	 % d'o taille de l'espace

eval(['pas = str2num(dskip);']); % echantillonage pour la
				 % dfinition de l'affichage
ax=SZX/pas; ay=SZY/pas;		 %->graduation, des axes ?

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  %--------- chargement des donnes et dtermination du
  data  = load(fdata);		 	 %  nombre de
  nbpdt = size(data,1) / (SZSPACE)	 % pas de temps

  minvar = min(data);	% pour tailler
  maxvar = max(data);	% l'axe des y

  %--------- mettre les donnes dans une matrice 2D
  if     (oaxis=='ij' | oaxis=='IJ')
	MAT2D=reshape(data,SZY,SZX,nbpdt);
  elseif (oaxis=='ji' | oaxis=='JI')
	XMT=reshape(data,SZX,SZY,nbpdt);
	for t=1:nbpdt,
	    MAT2D(:,:,t) = XMT(:,:,t)';
	end
  else
        sprintf('y2dsurf:->error: invalid oaxis \n');
        return;
  end

  clear data;
size(MAT2D)
  %--------- boucle d'affichage
  for t=0:nbpdt-1,
      if (opt=='2' | opt=='3') % toutes les figures
      	 figure(t+1);
      end
      if (opt=='1' | opt=='3') % sur fond noir
%	    set(gcf,'Color',[0 0 0]);
set(gcf,'Color',[1 1 1]);
      end

      set(gca,'Position',[0 0 1 1])

      subx = 1:pas:SZX;			% colonnes
      suby = 1:pas:SZY;			% lignes

      if (opt=='1' | opt>='3' )	% faire joli
         %surfl(MAT2D(suby, subx, t+1));
figure(1)
subplot(3,4,t+1)
         surfl(MAT2D(suby, subx, t+1), 'light')
	 shading interp
	 if (opt~='4') % virer les axes et prendre toute la place
            %set(gca,'Visible','off','Position',[0 0 1 1])
            set(gca,'Visible','off')
	 end
      else			% etre exacte
figure(1)
subplot(3,4,t+1)
         surfc(MAT2D(suby, subx, t+1));		% surfc ou
         %surfl(MAT2D(suby, subx, t+1), 'light');	% surfl ?
      end


      caxis([minvar, maxvar]);
%      if (opt=='4')
%	 caxis([-5, 15])
%      end
      axis equal   % etre exacte toujours
      axis([0 ax 0 ay minvar maxvar]);
%subplot(4,4,t+1)
%imagesc(MAT2D(suby, subx, t+1), [minvar maxvar])

      M(t+1) = getframe;

%subplot(6,6,t+1)
%imagesc(MAT2D(suby, subx, t+1), [minvar maxvar])

  end
return
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%animation :
if (opt=='1' | opt=='3') % faire joli
   %set(gca,'Visible','off','Position',[0 0 1 1]);
   set(gca,'Visible','off');
end
set(gca,'Position',[0 0 1 1]);
movie(M,0);
return  % comment faire pour redonner la main au terminal ?

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% creation d'un fichier mpg
%   (sa plante + ou -)
%==========================================================
% faire d'abord un
%     cp ~/matlab/MPG/mpg* .
% puis :
%     map=colormap
%     mpgwrite(M,map,'imagex.mpg')
%
% pour terminer proprement, faire
% un clear all puis un close all et exit
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
