#==========================================================
#            fichier de D'INSTRUCTIONS TPZ.i
#nb PAS DE TAB, un retour chariot en fin de fichier
#==========================================================
echo on

#==========================================================
# 1) INITIALISATION DU MODELE
xset_ray     40.5
setstate nuZ  0.01

#==========================================================
# 2) TEST DE LA PROGRAMMATION DES DERIVEES
#testdf  10 10 0  2  1  %0.01  0.01

#==========================================================
# 3) soit: EXPERIENCE JUMELLE :
# =====>  passe avant une fois sur tous les pas de temps
# pour gnrer des observations avec les paramtres VRAIS :
set_modeltime 0
FORWARD
set_modeltime 0

# ====> sauvegarde de la trajectoire calcule (pour voir)
savestate equaZ  1 ij  10% A 0 ./Ztraj

#=====> rcuprer des sorties calcules comme sorties observes
OUTOOBS equaZ 1 SZAm

#=====> plot de la fonction de cout ?
#GOTO PLOTOF

#=====> perturbation des paramtres  contrler:
#      first guess: (valeur(s) initiale(s))
setstate nuZ  0.03
#setstate nuZ  0.01

#----------------------------------------------------------
# 3) soit: chargement d'un fichier d'observations si disponible
#LOADOBS equaZ 1 ji SZAm A 0 ./file_obs.dat D

#==========================================================
# 4) PREPARATION DE L'ASSIMILATION
#=====> choix de la fonction de cout :
cost lms 0.5
#cost appli
#adjust appli

#----------------------------------------------------------
# Choix RUN : std/m1qn3		std/incr
GOTO RUNMQN
#----------------------------------------------------------
# soit le RUN standard de Yao :
#=> choix du (ou des) pas de gradient
#     -> Ok pour 100pdt et obs sur ce seul pdt
cost lms 0.00005
setepsi nuZ   0.0000002
#     -> Pour 200pdt et obs sur ce pdt c'est + long
cost lms 0.00005
setepsi nuZ   0.000001
setepsi nuZ   0.0000005
#=>et en route pour le run
print_cost ON
print_time OFF
set_nbiter 500
#set_nbiter 100
#RUN
#GOTO ENDRUN

#incremental ........
setepsi nuZ   0.0000002
set_nbextl   12
set_nbiter    5
set_pcoef nuZ 0.0
RUNI
GOTO ENDRUN

#..........................................................
RUNMQN
# soit le run sous m1qn3
print_cost ON
setm_impres   5
setm_io       6
setm_mode     0
set_nbiter  200
setm_nsim   200
setm_dxmin    1.0e-20
setm_epsg     1.0e-20
setm_ddf1     1.0
#RUNM
#GOTO ENDRUN

#incrmental ........
setm_impres   5
setm_io       6
setm_mode     0
set_nbextl    15
set_nbiter    2
setm_nsim     2
setm_dxmin    1.0e-20
setm_epsg     1.0e-20
setm_ddf1     1.0
set_pcoef nuZ 0.0
RUNIM
GOTO ENDRUN

#..........................................................
ENDRUN
print_cost
xdisplay
stop

#===========================================================
PLOTOF
sampleof nuZ 0.0  0.05  0.001  nuZ 0.01  0.01  9.99  ./nuZ.pof

#===========================================================

