#==========================================================
#            fichier de D'INSTRUCTIONS minishall.i
# test : DF, Ad, TL, OF
#nb PAS DE TAB, un retour chariot en fin de fichier
#==========================================================
echo on

#pour avoir une idee du modele
lmod
lval

#==========================================================
# 1) INITIALISATION DU MODELE
!echo INITIALISATION DU MODELE ----------------------------
xset_ray     40.5
setstate nuZ  0.01

#==========================================================
# 2) TEST des derives, du LT, de l'AD et de
#                       l'Objective Function
# nb YS peut etre modifi par certain test...
#    il est donc preferable de le repositionner a chaque fois...
#----------------------------------------------------------
#GOTO LAB:TAD
#vvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvv

#----------------------------------------------------------
!echo TEST des DERIVEES ----------------------------------
#       gradtest_all 1 1 1 1 0.01 0.01 remplac par :
#testdf  i  j  k  t  x   pdx   ptol [nmmod-ko-maxFko][maxFko]
testdf  10 10 10  2  1  %0.01  0.01
GOTO LAB:TAD
#testdf 10 10 10  2  1   0.01  0.01
#testdf 10 10 10  2  N  %0.01  0.01
#testdf 10 10 10  2  N   0.01  0.01
#testdf 10 10 10  2  R  %0.01  0.01
#testdf 10 10 10  2  R   0.01  0.01
#testdf 10 10 10  2  r  %0.01  0.01
#testdf 10 10 10  2  r   0.01  0.01
#stop

#'f' au temps initiaux : le modle doit etre initialis
#testdf  10 10  0 2 f  0.01 0.01
#testdf  10 10  0 2 f %0.01 0.01
#stop

#: 'f' comme 'F' suppose que le modle soit initialis :
#xset_ray     40.5
#setstate nuZ  0.01
#set_delta_ya3 9
#: 'f' suppose qu'une passe avant ait t faite jusqu'au
#      pas demand;  moins qu'il n'y ait pas de dpendance
#      temporelle, ce qui est le cas ici ... c'est  voir
#      puisque le forward induit des tats lis au tps
#: 'F' inclus la passe avant. Mais Attention, celle-ci peut
#      tre stope avant si le nombre max de ko est atteint
#testdf   3  3  0  2  f  %0.01  0.01
#testdf   1  1  0 15  F  %0.01  0.01 9
#testdf   3  3  0  2  f  %0.01  0.01

#testdf  10 10  0 10 f  0.01 0.01
#testdf  10 10  0 10 f %0.01 0.01
#stop

#set_yao_time YUPTIME
#FORWARD  YNBSTEPTIME
#testdf 10 10  0 20 f  0.01  0.01
#testdf 10 10  0 20 f  0.001 0.01
#testdf 10 10  0 20 f %0.01  0.01

#BAMOS

#----------------------------------------------------------
LAB:TAD
!echo TEST de L ADJOINT ----------------------------------
# nb: le test de l'adjoint n'apporte aucune indication sur
#     des erreurs de programmation des derivees
setstate nuZ  0.01
testad 0.03
#stop

#----------------------------------------------------------
!echo TEST du LINEAIRE TANGENT ----------------------------
#testlt pdx alpha  fdec nbloop modop
testlt  0.1  10.0  10.0   10    0
testlt  0.1  10.0  10.0   10    1
#stop

#----------------------------------------------------------
#LAB:TOF
!echo TEST de la FONCTION OBJECTIVE ----------------------
#il faut avoir des obs (=>cost modul) (=>exp jumelle)
print_time OFF
set_modeltime 0
FORWARD
set_modeltime 0
print_time OFF
outoobs  equaZ 1 100
#
setstate nuZ  0.03
#
cost lms 0.5
#print_cost ON
#testof pdx alpha  fdec nbloop modop
testof  0.1  10.0  10.0   10    0
testof  0.1  10.0  10.0   10    1

FIN
#==========================================================
